Summary: Red Flag LVM Manager
Name: rflvm
Version: 1.0
Release: 23AX
Group: Applications/System
Source0: rflvm-%{version}.tar.gz
Source1: rflvm-ja-doc.tar.gz
Patch0: rflvm-ja-help.patch
Patch1: rflvm-ja-20070801.patch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: qt-devel
License: GPL

%description
rflvm is an open source software developed by Redflag Software Corporation. It provides administrators with an interactive GUI to manage LVM sevices.

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1

%build
lrelease gui/rflvm_ja.ts -qm gui/rflvm_ja.qm
lrelease gui/qtstuff_ja.ts -qm gui/qtstuff_ja.qm
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/share/rflvm/
mkdir -p $RPM_BUILD_ROOT/usr/share/rflvm/icons/
mkdir -p $RPM_BUILD_ROOT/usr/share/rflvm/doc/
mkdir -p $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/
mkdir -p $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/LVM.files/
mkdir -p $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/en/
mkdir -p $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/en/LVM.files/
mkdir -p $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/ja/
mkdir -p $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/ja/LVM.files/
mkdir -p $RPM_BUILD_ROOT/usr/lib/rfmin/lib/
mkdir -p $RPM_BUILD_ROOT/usr/lib/rfmin/include/rflvm/
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
# does not install to control panel
#mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/Group2Sys/

cp -d lib/librflvm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/rfmin/lib/
ln -sf /usr/lib/rfmin/lib/librflvm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/librflvm.so 
ln -sf /usr/lib/rfmin/lib/librflvm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/librflvm.so.1 
ln -sf /usr/lib/rfmin/lib/librflvm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/librflvm.so.1.0 
cp lib/*.h $RPM_BUILD_ROOT/usr/lib/rfmin/include/rflvm/
cp -f rfvm.cli $RPM_BUILD_ROOT/usr/lib/rfmin/lib/
chmod 550 $RPM_BUILD_ROOT/usr/lib/rfmin/lib/rfvm.cli

cp doc/*doc $RPM_BUILD_ROOT/usr/share/rflvm/doc/
cp doc/manual/*.xml $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/
cp doc/manual/*.htm* $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/
cp doc/manual/index* $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/
cp doc/manual/LVM.files/* $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/LVM.files/
cp doc/manual/en/*.xml $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/en/
cp doc/manual/en/*.htm* $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/en/
cp doc/manual/en/LVM.files/* $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/en/LVM.files/
cp ja/*.xml $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/ja/
cp ja/*.htm* $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/ja/
cp ja/LVM.files/* $RPM_BUILD_ROOT/usr/share/rflvm/doc/manual/ja/LVM.files/

cp gui/rflvm $RPM_BUILD_ROOT/usr/bin/
cp gui/rflvm_zh.qm $RPM_BUILD_ROOT/usr/share/rflvm/
cp gui/qtstuff_zh.qm $RPM_BUILD_ROOT/usr/share/rflvm/
cp gui/rflvm_zh_CN.qm $RPM_BUILD_ROOT/usr/share/rflvm/
cp gui/rflvm_zh_TW.qm $RPM_BUILD_ROOT/usr/share/rflvm/
cp gui/rflvm_ko.qm $RPM_BUILD_ROOT/usr/share/rflvm/
cp gui/rflvm_ja.qm $RPM_BUILD_ROOT/usr/share/rflvm/
cp gui/qtstuff_zh_CN.qm $RPM_BUILD_ROOT/usr/share/rflvm/
cp gui/qtstuff_zh_TW.qm $RPM_BUILD_ROOT/usr/share/rflvm/
cp gui/qtstuff_ja.qm $RPM_BUILD_ROOT/usr/share/rflvm/

if [ -d $RPM_BUILD_ROOT/usr/share/applications/ ]; then
    cp rflvm.desktop $RPM_BUILD_ROOT/usr/share/applications
else
    echo "cp rflvm.desktop /usr/share/applications failed."
fi
# does not install to control panel
#if [ -d $RPM_BUILD_ROOT/etc/sysconfig/khwtree/Group2Sys/ ]; then
#    cp rflvm.ctrlpanel.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/Group2Sys/rflvm.desktop
#else
#    echo "cp rflvm.desktop /etc/sysconfig/khwtree/Group2Sys/ failed."
#fi

cp gui/icons/rflvm.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/

#%post
#if [ -x /usr/bin/ctrlpanel ];then
#    /usr/bin/ctrlpanel -g GroupSys -i /usr/share/applnk/Settings/rflvm.desktop
#fi

#%postun
#if [ -x /usr/bin/ctrlpanel ];then
#    /usr/bin/ctrlpanel -g GroupSys -u rflvm
#fi

%files
/usr/bin/rflvm
/usr/share/rflvm/rflvm_zh.qm
/usr/share/rflvm/rflvm_zh_CN.qm
/usr/share/rflvm/rflvm_zh_TW.qm
/usr/share/rflvm/rflvm_ko.qm
/usr/share/rflvm/rflvm_ja.qm
/usr/share/rflvm/qtstuff_zh.qm
/usr/share/rflvm/qtstuff_zh_CN.qm
/usr/share/rflvm/qtstuff_zh_TW.qm
/usr/share/rflvm/qtstuff_ja.qm
/usr/share/applications/rflvm.desktop
# does not install to control panel
#/etc/sysconfig/khwtree/Group2Sys/rflvm.desktop
/usr/lib/rfmin/lib/librflvm.so.1.0.0
/usr/lib/librflvm.so
/usr/lib/librflvm.so.1
/usr/lib/librflvm.so.1.0
/usr/lib/rfmin/include/rflvm/*.h
/usr/share/rflvm/doc/*
/usr/share/pixmaps/rflvm.xpm
/usr/lib/rfmin/lib/rfvm.cli

%clean
rm -rf $RPM_BUILD_ROOT
make clean_cli

%changelog
* Wed Aug 15 2007 Hua Jie <jiehua@redflag-linux.com> 1.0-23AX
- correct the description information

* Wed Aug 01 2007 Mika Kamei <mkamei@miraclelinux.com> 1.0-22AX
- add Japanese translated manual (Source1, Patch0, #3266)
- update Japanese menu translation (Patch1, #3266)

* Mon Jul 16 2007 Wang Diancheng <dcwang@redflag-linux.com> 1.0-21AX
- merge rflvm-1.0-asianux-desktop_categories.patch to CVS code(update to newest Desktop categories.)

* Thu Jul 12 2007 Wang Diancheng <dcwang@redflag-linux.com> 1.0-20AX
- change desktop file location to /usr/share/applications for KDE 3.5
- fix a bug: cannot create logical volume immediately after execute parted.
- fix a bug: when partition size is float type(eg. 84.5M), it displayed as 0 MB in GUI
- now resize file system when resize logical volume.

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 1.0-20AX
- added to rflvm-1.0-asianux-desktop_categories.patch

* Fri May 25 2007 Wang Diancheng <dcwang@redflag-linux.com> 1.0-19AX
- merge patch rflvm-ctrlpanel-authority.patch rflvm-ctrlpanel-authority.patch
  with rflvm source code and commit it to CVS. fix bug which program cannot get 
  system partation information.

* Mon May 14 2007 Liu Xiao <xiaoliu@redflag-linux.com> 1.0-18AX
- Change the path of desktop installed to make it be setted in the correct
  location of controlpanel

* Tue Jan  9 2007 Liu Xiao <xiaoliu@redflag-linux.com> 1.0-17AX
- Change Ctrlpanel can be used other than root with authority to fix bug #1961 

* Wed Dec 20 2006 Liu Xiao <xiaoliu@redflag-linux.com> 1.0-16AX
- Change Desktop can be used other than root with authority

* Fri May 12 2006 Hua Jie <jiehua@redflag-linux.com> 1.0-15AX
- Change License to GPL

* Thu Nov 10 2005 Tongliang <liangtong@redflag-linux.com> 1.0-14
- create the package for IA platform.

* Thu Sep 29 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-13
- modify some Korean strings

* Fri Jul 01 2005 Tongliang <liangtong@redflag-linux.com>
- add english manual.

* Wed Jun 08 2005 Tongliang <liangtong@redflag-linux.com>
- fix a bug that causes RFLVM to parse incorrect output of LVM2 commandline tools.

* Wed May 25 2005 Tong Liang <liangtong@redflag-linux.com>
- create the package based on the old lvm tool
